%define   anolis_release    1
%define _lto_cflags -flto -ffat-lto-objects -flto-partition=none
%global sysmodprobedir %{_prefix}/lib/modprobe.d


Summary:  The Advanced Linux Sound Architecture (ALSA) library
Name:     alsa-lib
Version:  1.2.9
Release:  %{anolis_release}%{?dist}
License:  LGPLv2+
URL:      https://www.alsa-project.org

Source0:  %{url}/files/pub/lib/alsa-lib-%{version}.tar.bz2
Source1:  %{url}/files/pub/lib/alsa-ucm-conf-%{version}.tar.bz2
Source2:  %{url}/files/pub/lib/alsa-topology-conf-1.2.5.1.tar.bz2
Source3:  asound.conf
Source4:  modprobe-dist-alsa.conf
Source5:  modprobe-dist-oss.conf

Patch0:   0001-alsa-lib-1.0.14-glibc-open.patch

BuildRequires:  doxygen
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  make

%description

This package includes the ALSA runtime libraries to simplify application
programming and provide higher level functionality as well as support for
the older OSS API, providing binary compatibility for most OSS programs.

The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

%package  devel
Summary:  Development files from the ALSA library
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel

This package includes the ALSA development libraries for developing
against the ALSA libraries and interfaces.

The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

%package  -n alsa-ucm
Summary:   ALSA Use Case Manager configuration
BuildArch: noarch
License:   BSD
Requires:  %{name} >= 1.2.8

%description -n alsa-ucm
The Advanced Linux Sound Architecture (ALSA) Use Case Manager configuration
contains alsa-lib configuration of Audio input/output names and routing

%package  -n alsa-topology
Summary:   ALSA Topology configuration
BuildArch: noarch
License:   BSD
Requires:  %{name} >= 1.2.8

%description -n alsa-topology
The Advanced Linux Sound Architecture (ALSA) topology configuration
contains alsa-lib configuration of SoC topology

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
Documentation files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -vif
%configure \
        --disable-aload \
        --with-plugindir=%{_libdir}/alsa-lib \
        --disable-alisp

%make_build
%make_build doc

%install

%make_install

mkdir -p -m 0755 %{buildroot}/etc
install -p -m 0644 %{SOURCE3} %{buildroot}/etc
mkdir -p -m 755 %{buildroot}%{sysmodprobedir}
install -p -m 0644 %{SOURCE4} %{buildroot}%{sysmodprobedir}/dist-alsa.conf
install -p -m 0644 %{SOURCE5} .
mkdir -p %{buildroot}/%{_datadir}/alsa/ucm
mkdir -p %{buildroot}/%{_datadir}/alsa/ucm2
tar jxvf %{SOURCE1} -C %{buildroot}/%{_datadir}/alsa --wildcards --strip-components=1 "*/ucm" "*/ucm2"
mkdir -p %{buildroot}/%{_datadir}/alsa/topology
tar jxvf %{SOURCE2} -C %{buildroot}/%{_datadir}/alsa --wildcards --strip-components=1 "*/topology"
rm %{buildroot}/%{_includedir}/asoundlib.h

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%doc doc/asoundrc.txt modprobe-dist-oss.conf
%config %{_sysconfdir}/asound.conf
%{_libdir}/libasound.so.*
%{_libdir}/libatopology.so.*
%{abidir}/libasound.dump
%{abidir}/libatopology.dump
%{_bindir}/aserver
%{abidir}/aserver-option.list
%{_datadir}/alsa/
%exclude %{_datadir}/alsa/ucm
%exclude %{_datadir}/alsa/ucm2
%exclude %{_datadir}/alsa/topology
%{sysmodprobedir}/dist-*

%files devel
%doc doc/doxygen/
%{_includedir}/alsa/
%{_includedir}/sys/asoundlib.h
%{_libdir}/libasound.so
%{_libdir}/libatopology.so
%{_libdir}/pkgconfig/alsa.pc
%{_libdir}/pkgconfig/alsa-topology.pc
%{_datadir}/aclocal/alsa.m4

%files -n alsa-ucm
%{_datadir}/alsa/ucm
%{_datadir}/alsa/ucm2

%files -n alsa-topology
%{_datadir}/alsa/topology

%files doc
%doc TODO

%changelog
* Thu May 04 2023 Funda Wang <fundawang@yeah.net> - 1.2.9-1
- New version 1.2.9

* Tue Apr 11 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 1.2.8-2
- optimise spec file

* Sun Oct 30 2022 Funda Wang <fundawang@yeah.net> - 1.2.8-1
- New version 1.2.8

* Fri Oct 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.2.7.2-3
- optimise spec file

* Tue Oct 11 2022 happy_orange <songnannan@linux.alibaba.com> - 1.2.7.2-2
- add abi and api file.

* Fri Sep 23 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.2.7.2-1
- update to 1.2.7.2

* Mon Apr 18 2022 yuanhui <yuanhui@linux.alibaba.com> - 1.2.6.1-1
- Init alsa-lib for anolis os 23
